Hello,
I am new to AutoLISP world. I am trying to write a code which will edit attribute in incremental numbering with each click on attribute. The easiest way command for it is "ATTIPEDIT".
But I failed use ATTIPEDIT in LISP. Pls help to run this code:
(defun c:DTAG ()
(princ "\n AUTOMATIC ATTRIBUTE SEQUENTIAL NUMBERING")
(setq no (getint "\n Enter Starting Number : "))
(setq pt T)
(while pt
(setq notxt (itoa no))
(setq pt (getpoint (strcat "\n Select Attribute to be changed ( "notxt" ) < exit > : ")))
(if pt
(progn
(command "_.ATTIPEDIT" pt notxt)
(setq no (+ no 1))
)
(princ "\n Routine terminated normally by User")
)
)
(setvar "CMDECHO" ocmd)
(setq *error* olderr) ;;Restore old error handler
(princ)
)
PFA ACAD file to test. Try putting incremental numbers in place of "0".
HVAC Dynamic Blocks 09.02.2018.dwg